Bug 478132 - MIGRATED_FROM_JIRA: DB2 JDBC Universal Driver Bug in JDBCAdapter
MIGRATED_FROM_JIRA: DB2 JDBC Universal Driver Bug in JDBCAdapter
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Adapter (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:02 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:02:28 EST
The DB2 UniversalDriver closes the resultset after the first rs.next() returned false. So the sizelimit if clause, causes in an exception thrown bei the db2 jdbc driver.
the sizelimit can be checked without calling rs.next().

will patch it :-)
Additional Comments From bjoern.voss dated Wed Jun 07 13:17:17 CDT 2006 
the patch ... :-)
simply tested without junit. just systemtest in my test environment.

Additional Comments From endisd dated Fri Jun 09 17:26:46 CDT 2006 
Thanks for the patch. It has been applied to the source code.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Adapter',
                              'id' => '10011'
                            }
                          ],
          'attachmentNames' => 'JDBCAdapter.patch',
          'reporter' => 'bjoern.voss',
          'key' => 'PENROSE-149',
          'assignee' => 'endisd',
          'summary' => 'DB2 JDBC Universal Driver Bug in JDBCAdapter',
          'id' => '10479',
          'updated' => '2008-08-08 10:31:46.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-06-12 00:00:00.0',
                             'sequence' => '12',
                             'name' => 'Penrose-1.0',
                             'released' => 'true',
                             'id' => '10072',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'The DB2 UniversalDriver closes the resultset after the first rs.next() returned false. So the sizelimit if clause, causes in an exception thrown bei the db2 jdbc driver.
the sizelimit can be checked without calling rs.next().

will patch it :-)',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-06-12 00:00:00.0',
                                 'sequence' => '12',
                                 'name' => 'Penrose-1.0',
                                 'released' => 'true',
                                 'id' => '10072',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2006-06-07 13:15:48.0',
          'environment' => 'Windows XP SP2, JAVA SDK 1.5_06, DB2 Universal Driver 8.2 Fixpack 11',
          'resolution' => '1',
          'type' => '4'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:02:31 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-149

Note You need to log in before you can comment on or make changes to this bug.